ompi/mca/pml/base/pml_base_sendreq.h File Reference.TH "ompi/mca/pml/base/pml_base_sendreq.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/pml/base/pml_base_sendreq.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'mca/pml/pml.h'\fP
.br
\fC#include 'mca/pml/base/pml_base_request.h'\fP
.br
\fC#include 'datatype/datatype.h'\fP
.br
\fC#include 'datatype/convertor.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBMCA_PML_BASE_SEND_REQUEST_INIT\fP(request,addr,count,datatype,peer,tag,comm,mode,persistent)"
.br
.RI "\fIInitialize a send request with call parameters. \fP"
.ti -1c
.RI "#define \fBMCA_PML_BASE_SEND_REQUEST_FINI\fP(request)"
.br
.RI "\fIRelease the ref counts on the communicator and datatype. \fP"
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_pml_base_send_request_t\fP \fBmca_pml_base_send_request_t\fP"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC \fBopal_class_t\fP \fBmca_pml_base_send_request_t_class\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Define Documentation"
.PP 
.SS "#define MCA_PML_BASE_SEND_REQUEST_FINI(request)"
.PP
\fBValue:\fP
.PP
.nf
do {                                                                  \
        OMPI_REQUEST_FINI(&(request)->req_base.req_ompi);                 \
        OBJ_RELEASE((request)->req_base.req_comm);                        \
        OBJ_RELEASE((request)->req_base.req_datatype);                    \
        ompi_convertor_cleanup( &((request)->req_convertor) );            \
    } while (0)
.fi
Release the ref counts on the communicator and datatype. 
.PP
\fBParameters:\fP
.RS 4
\fIrequest\fP (IN) The send request. 
.RE
.PP

.SS "#define MCA_PML_BASE_SEND_REQUEST_INIT(request, addr, count, datatype, peer, tag, comm, mode, persistent)"
.PP
Initialize a send request with call parameters. 
.PP
\fBParameters:\fP
.RS 4
\fIrequest\fP (IN) Send request 
.br
\fIaddr\fP (IN) User buffer 
.br
\fIcount\fP (IN) Number of elements of indicated datatype. 
.br
\fIdatatype\fP (IN) User defined datatype 
.br
\fIpeer\fP (IN) Destination rank 
.br
\fItag\fP (IN) User defined tag 
.br
\fIcomm\fP (IN) Communicator 
.br
\fImode\fP (IN) Send mode (STANDARD,BUFFERED,SYNCHRONOUS,READY) 
.br
\fIpersistent\fP (IN) Is request persistent.
.RE
.PP
Perform a any one-time initialization. Note that per-use initialization is done in the send request start routine. 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
